using UnityEngine;

namespace Intrepid.Integration.Persistence.DTOs
{
    public static class MappingExtensions
    {
		public static Vector3DTO ToVector3DTO(this Vector3 vector3)
		{
			return new Vector3DTO
			{
				X = vector3.x,
				Y = vector3.y,
				Z = vector3.z,
			};
		}

		public static Vector3 ToVector3(this Vector3DTO vector3DTO)
		{
			return new Vector3
			{
				x = vector3DTO.X,
				y = vector3DTO.Y,
				z = vector3DTO.Z,
			};
		}
    }
}